Remove Deprecated Patches from an Existing Job
Use this API to remove deprecated patches from an existing job.
-
When deprecated patches are identified for a specified job ID, the IDs of disabled patches are shown in the "disabledPatches" field.
-
When no deprecated patches are identified for the specified job ID, the null value is reflected in the "disabledPatches" field.
-
When deprecated patches for the specified job ID are removed, no patch IDs are shown in the "disabledPatches" field.
Input ParametersInput Parameters
|
Parameter |
Mandatory/Optional |
Data Type |
Description |
|---|---|---|---|
|
deploymentJobId |
Mandatory |
string |
Specify the deployment Job ID from which you want to remove the deprecated patches. |
|
Request body |
Mandatory |
- |
patchids (string): Specify the IDs of the patches that you want to remove. |
Sample - Remove deprecated patches from the existing jobSample - Remove deprecated patches from the existing job
API request
curl -X DELETE
"https://<QualysBaseURL>/pm/v1/deploymentjobs/6b5ff336-151c-45ac-93c8-7db709e9dfbb/deprecated/patches" -H "accept: application/json" -H "Authorization: Bearer <<Jwt Token>>" -H "Content-Type: */*"
Request body
{
"patchids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
Response
{
"customerId": "bc023fd7-4290-f28f-8181-95a46f519f52",
"id": "6b5ff336-151c-45ac-93c8-7db709e9dfbb",
"schemaVersion": "1.0",
"name": "Public api_1632842606497",
"type": "Install",
"status": "Disabled",
"assetIds": null,
"assetTagIds": [
"a7249a13-c7e1-4d84-a7f4-d086154c4423"
],
"matchAllTagIds": null,
"exclusionTagIds": null,
"exclusionAssetIds": null,
"coAuthorUserIds": [
"c4c71f94-4ef6-7e6f-8260-11704fa58172"
],
"approvedPatches": [
"082d378a-a512-3d27-a2de-3d004ca7ae42"
],
"disabledPatches": [],
"patchCount": 1,
"scheduleType": "Daily",
"startDateTime": "2021-9-28 08:56:59 PM",
"recurring": true,
"recurringWeekDays": "",
"dayOfMonth": null,
"recurringDayOfMonth": null,
"recurringWeekDayOfMonth": null,
"timezoneType": "AGENT_TZ",
"timezone": null,
"timeout": -1,
"timeoutUnit": "HOURS",
"preDeployment": {
"userMessage": "",
"description": "",
"deferment": {
"count": 3,
"interval": 1,
"intervalUnit": "HOURS"
}
},
"duringDeployment": {
"userMessage": "",
"description": ""
},
"postDeployment": {
"suppressReboots": false,
"rebootOption": {
"userMessage": "",
"description": "",
"deferment": {
"count": 3,
"interval": 1,
"intervalUnit": "HOURS"
}
},
"rebootCountdown": {
"interval": 15,
"intervalUnit": "MINUTES",
"userMessage": "Reboot countdown started",
"description": "The system reboot is initiated. It will reboot automatically after the timer countdown."
},
"onComplete": {
"userMessage": "",
"description": ""
}
},
"description": "",
"createdBy": {
"user": {
"id": "c4c71f94-4ef6-7e6f-8260-11704fa58172",
"name": "qxxxs_rxx7"
},
"date": 1632842609962
},
"updatedBy": {
"user": {
"id": "bc023fd7-4290-f28f-8181-95a46f519f52",
"name": "qxxxs_rxx7"
},
"date": 1665640857556
},
"deletedBy": {
"user": null,
"date": null
},
"assetCount": null,
"opportunisticDownloads": false,
"filterType": "Any",
"exclusionFilterType": "Any",
"taggedAssetCount": 0,
"minimizeWindow": false,
"dynamicPatchesQQL": "",
"isDynamicPatchesQQL": false,
"dynamicQQLType": 1,
"platform": "Windows",
"continueOnPatchFailure": false,
"preDeployActions": null,
"postDeployActions": null,
"applicableAssetCount": 0,
"monthlyRecurringType": null,
"patchTuesdayPlusXDays": null,
"recurringLastDayOfMonth": false,
"jobCategory": null,
"jobTriggerStatus": null,
"completionPercent": null,
"totalAssetCount": null,
"assetResultReceivedCount": null,
"jobSource": null,
"readOnly": false,
"linkedJobId": null,
"linkedJobReferenceCount": null
}